<?php
/**
 * Magic
 * ============================================================================
 * Copyright 2014 大秦科技，并保留所有权利。
 * 网站地址: http://www.qintech.net；
 * ----------------------------------------------------------------------------
 * 未获商业授权之前，不得将Magic CMS用于商业用途（包括但不限于企业网站、经营性网站
 * 以营利为目的或实现盈利的网站）未经官方许可，禁止在Magic CMS的整体或任何部分基础
 * 上以发展任何派生版本、修改版本或第三方版本用于重新分发。如果您未能遵守本协议的
 * 条款，您的授权将被终止，所被许可的权利将被收回，并承担相应法律责任。
 * ============================================================================
 * Date:2014/12/31
**/
if (version_compare(PHP_VERSION, '5.3.0', '<')) {
	ini_set('magic_quotes_runtime', 0);
	define('MAGIC_QUOTES_GPC', get_magic_quotes_gpc() ? TRUE : FALSE);
}else{
    define('MAGIC_QUOTES_GPC', TRUE);
}
// 类文件后缀
define('EXT',           '.class.php');
// 版本信息
define('VERSION',        '3.1[20150318]');
define('IS_CGI',        substr(PHP_SAPI,0,3) == 'cgi' ? TRUE : FALSE);
define('IS_WIN',        strstr(PHP_OS, 'WIN') ? TRUE : FALSE);
define('IS_CLI',        PHP_SAPI == 'cli' ? TRUE : FALSE);
defined('KERNEL_PATH')  or define('KERNEL_PATH',str_replace('\\','/',dirname(__FILE__)) . '/');//定义根目录
defined('ROOT_PATH')    or define('ROOT_PATH',substr(KERNEL_PATH,0,strlen(KERNEL_PATH)-strlen(basename(KERNEL_PATH))-1));//定义根目录
defined('APP_PATH')     or define('APP_PATH',substr(str_replace(basename($_SERVER["SCRIPT_NAME"]), '', $_SERVER["SCRIPT_NAME"]),0, -1));//定义应用根目录
define('DATA_PATH',     APP_PATH  . 'Data/');    //数据目录
define('CONFIG_PATH',   KERNEL_PATH . 'Config/');   //配置目录
define('LIBRARY_PATH',  KERNEL_PATH . 'Library/');  //扩展目录
define('FUNCTION_PATH', KERNEL_PATH . 'Function/'); //函数目录
define('DRIVER_PATH',   KERNEL_PATH . 'Driver/');   //驱动目录
define('CORE_PATH',     KERNEL_PATH . 'Core/');     //核心目录
//加载核心文件
require(CORE_PATH.'App'.EXT);
$app=new App();
$app->run();
